%define name rpm-rebuilder
%define version 0.7.1
%define release 1mdk

Summary: Tools to build/check distributions
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Packaging
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: rpmlint strace rpm-build
BuildArchitectures: noarch

%description
The rpm-rebuilder package contains a set of tools written in bourne shell and python.

check-distrib: checks if a set of source and binary rpms are in sync.

rpm-rebuilder: build a set of rpms from a set of srpms.

compute-build-requires: trace an rpm build command to find the BuildRequires
it needs.

compute-compile-order: from the sets of binary and sources rpms, find the order
in which the source rpms must be recompiled.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/share/rpm-rebuilder/*
%doc AUTHORS README README.CVS ChangeLog

%changelog
* Mon Jan 20 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7.1-1mdk
- Make sure to reinstall automake-1.4 for MDK version >= 9.0
- Make LOCAL_ARCH default to uname -m, but make sure all x86 arches
  default to "i386" in that case

* Mon Mar  4 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.7-1mdk
- adapted for 8.2

* Fri Oct  5 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.6-1mdk
- added the missing head-grep.py file
- added -S to run the rpm scriptlets after installing the base system
- added -y to install ypbind and configure it like in the host system
- added -m to use pam_mkhomedir in pam config of sshd

* Tue May  8 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- chrooted-install: install the base rpms with --noscripts and run the
scripts afterward.

* Tue Feb 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-1mdk
- corrected compute-build-requires to work with rpm 4.

* Thu Nov 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.3-1mdk
- handle EXCLUDEARCH tag in rpm-rebuilder.

* Thu Oct 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2-1mdk
- added chrooted-install which installs a basesystem in a chrooted environment
and then starts a chrooted ssh daemon on an alternative port.

* Sun Oct  1 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1-1mdk
- first rpm version.

# rpm-rebuilder.spec ends here
